=== debian/changelog ===
dolfinx-mpc (0.5.0.post0-2) unstable; urgency=medium

  * debian patch fix_mesh_py3.11.patch repairs finalisation of mpc
    following py3.11 mesh patch to dolfinx
  * build for all supported python versions, test only on default
    python (ffcx JIT files may clash between different python
    versions. Delete ~/.cache/fenics to clear the cache if necessary)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Jan 2023 01:30:35 +0100

dolfinx-mpc (0.5.0.post0-1) unstable; urgency=medium

  * Initial release. (Closes: #1026079)
  * add debian patches
    - cmake_dolfinx_upper_version.patch imposes upper version on
      dolfinx and basix dependencies (enabling use of newer patch
      releases) and specifies dolfinx=0.5.2 (since upstream PR#2358 is
      not yet finished for handling dolfinx version ranges)
    - cmake_config_libdir.patch installs cmake config files to
      arch-dependent location
    - tests_no_numba.patch eliminates numba from python tests
      (numba is currently not available)
    - cmake_no_runpath.patch switches off RUNPATH in shared library
      and python extensions (.so)
  * Disable pybuild tests when building python modules. Unittest
    discover triggers a missing numba error, and is not used anyway.
  * tests are currently only run for python3.10.
    See https://github.com/FEniCS/dolfinx/issues/2423
  * use cache dir in local build dir to run tests
  * Build-Depends: pybuild-plugin-pyproject even though no
    pyproject.toml file is present. pyproject builds are now better
    and simpler than distutils (which runs the internal cmake
    configuration twice, once for the build rule, and again for the
    install rule).

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Jan 2023 19:15:58 +0100
