=== debian/tests/control ===
Test-Command: python3 -m pytest
Depends: python3-dolfinx-mpc,
 python3,
 python3-pytest,
 python3-dolfinx,
 python3-gmsh,
 python3-mpi4py,
 python3-numpy,
 python3-petsc4py,
 python3-scipy,
 python3-ufl
