=== python/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required(VERSION 3.19)
 
 PROJECT(dolfinx_mpc_pybind11)
 
@@ -6,7 +6,8 @@
   $ENV{PYBIND11_DIR} $ENV{PYBIND11_ROOT})
 
 find_package(DOLFINX_MPC REQUIRED)
-find_package(Basix REQUIRED)
+MESSAGE(STATUS "Found dolfinx_mpc ${DOLFINX_MPC_VERSION}")
+MESSAGE(STATUS "Found dolfinx ${DOLFINX_VERSION}")
 
 # Set C++ standard before finding pybind11
 set(CMAKE_CXX_STANDARD 20)
@@ -18,9 +19,8 @@
    dolfinx_mpc/mpc.cpp
    dolfinx_mpc/dolfinx_mpc.cpp)
 
-target_link_libraries(cpp PRIVATE pybind11::module dolfinx_mpc)
-target_link_libraries(cpp PUBLIC dolfinx)
-target_include_directories(cpp PUBLIC dolfinx)
+target_link_libraries(cpp PRIVATE pybind11::module)
+target_link_libraries(cpp PUBLIC dolfinx_mpc)
 
 # Get python include-dirs
 execute_process(
@@ -41,14 +41,6 @@
 endif()
 
 
-# Add to CMake search path
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
-
-# Add DOLFINX libraries and other config
-find_package(DOLFINX REQUIRED)
-if (DOLFINX_FOUND)
-   target_include_directories(cpp PRIVATE ${DOLFINX_INCLUDE_DIR})
-
 # Find petsc4py through python
 execute_process(
   COMMAND ${PYTHON_EXECUTABLE} -c "import petsc4py; print(petsc4py.get_include())"
@@ -58,6 +50,3 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE
   )
 target_include_directories(cpp PRIVATE ${PETSC4PY_INCLUDE_DIR})
-
-endif()
-
