=== debian/changelog ===
dolfinx-mpc (0.6.1-3build1) mantic; urgency=medium

  * No-change rebuild with fenics-basix 0.6.0-5 to pick up the new gcc13
    soname. The previous rebuild used 0.6.0-4 for arm64, armhf, ppc64el,
    riscv64, and s390x (basically only amd64 was built with 0.6.0-5).

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 08 Aug 2023 11:07:00 -0300

dolfinx-mpc (0.6.1-3) unstable; urgency=medium

  * rebuild with gcc-13 (with dolfinx patched). Closes: #1037623.

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Jul 2023 19:30:39 +0200

dolfinx-mpc (0.6.1-2) unstable; urgency=medium

  * push dolfinx-mpc 0.6 to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 11:57:49 +0200

dolfinx-mpc (0.6.1-1) experimental; urgency=medium

  * New upstream release (ABI 0.6).
  * drop debian patch cmake_dolfinx_upper_version.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Jan 2023 17:51:59 +0100
