=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- libbasix-dev (>= 0.5.0~), python3-basix,
- libdolfinx-dev (>= 1:0.5.2~), python3-dolfinx,
+ libbasix-dev (>= 0.6.0~), python3-basix,
+ libdolfinx-dev (>= 1:0.6.0~), python3-dolfinx,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
@@ -29,14 +29,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdolfinx-mpc0.5 (= ${binary:Version}),
+ libdolfinx-mpc0.6 (= ${binary:Version}),
  ${misc:Depends},
 Description: Multi-point constraints with FEniCS-X
  This library contains an add-on to FEniCSx enabling the possibilities
  of enforce multi-point constraints. This can be used to for instance
  enforce slip conditions strongly, or apply periodic boundaries..
 
-Package: libdolfinx-mpc0.5
+Package: libdolfinx-mpc0.6
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -49,7 +49,7 @@
 
 Package: python3-dolfinx-mpc
 Architecture: any
-Depends: libdolfinx-mpc0.5 (= ${binary:Version}),
+Depends: libdolfinx-mpc0.6 (= ${binary:Version}),
  python3-dolfinx-real,
  ${python3:Depends},
  ${shlibs:Depends},
