## dolfinx-mpc 0.8.0.post1

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #------------------------------------------------------------------------------
 # Set project name and version number
-project(DOLFINX_MPC VERSION "0.6.1")
+project(DOLFINX_MPC VERSION "0.8.0.0")
 
 #------------------------------------------------------------------------------
 # Set CMake options, see `cmake --help-policy CMP000x`
@@ -38,7 +38,7 @@
 add_feature_info(CMAKE_INSTALL_RPATH_USE_LINK_PATH CMAKE_INSTALL_RPATH_USE_LINK_PATH "Add paths to linker search and installed rpath.")
 
 # Check for required package DOLFINX
-find_package(DOLFINX 0.6.0 REQUIRED)
+find_package(DOLFINX 0.8.0.0 REQUIRED)
 set_package_properties(DOLFINX PROPERTIES TYPE REQUIRED
     DESCRIPTION "New generation Dynamic Object-oriented Library for - FINite element computation"
     URL "https://github.com/FEniCS/dolfinx"
@@ -67,13 +67,9 @@
 install(FILES assemble_utils.h mpi_utils.h ContactConstraint.h utils.h MultiPointConstraint.h SlipConstraint.h PeriodicConstraint.h assemble_matrix.h assemble_vector.h lifting.h mpc_helpers.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dolfinx_mpc COMPONENT Development)
 # Add source files to the target
 target_sources(dolfinx_mpc PRIVATE
-${CMAKE_CURRENT_SOURCE_DIR}/SlipConstraint.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/ContactConstraint.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/PeriodicConstraint.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/utils.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/assemble_matrix.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/assemble_vector.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/mpc_helpers.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/assemble_utils.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/mpi_utils.cpp
   )
