=== debian/changelog ===
dolfinx-mpc (0.8.0.post1-5) unstable; urgency=medium

  * Rebuild for python3-basix 0.8.0-8 to ensure that nanobind wrappers of
    python3-basix, python3-dolfinx and python3-dolfinx-mpc are all built against
    GCC 14. Closes: #1074920.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 10:03:47 +0000

dolfinx-mpc (0.8.0.post1-4) unstable; urgency=medium

  * Build-Depends on python3-nanobind (>= 2.0.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 02 Jun 2024 14:00:25 +0000

dolfinx-mpc (0.8.0.post1-3exp1) experimental; urgency=medium

  * Add debian/patches/b9657064a29bdff0638c7d2f952e85cfe41104df.diff:
    - part of upstream PR #119, guarantees compatibility with nanobind 2.0
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Run debci on all available python versions

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 13:05:06 +0000

dolfinx-mpc (0.8.0.post1-2) unstable; urgency=medium

  * Build-Depends on released libbasix-dev and libdolfinx-dev 0.8.0, rather
    than the pre-release git snapshot.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 06 May 2024 05:28:49 +0000

dolfinx-mpc (0.8.0.post1-1) unstable; urgency=medium

  * New upstream release
    - compatibility with dolfinx 0.8.0
    - post0 and post1 tags are due to bugfixes in the release of the docker
      image, hence 0.8.0.post1 is functionally equivalent to 0.8.0
  * Bump ABI to 0.8 in debian/control

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 04 May 2024 07:57:09 +0000

dolfinx-mpc (0.7.3~git20240414.2e42426-1) experimental; urgency=medium

  * New upstream snapshot.
  * Add Francesco Ballarin to uploaders.
  * Build-Depends on libbasix-dev and libdolfinx-dev from experimental 0.8.0
    pre-release
  * Increase Standards-Version: 4.7.0
  * Refresh patches
  * Add python3-nanobind and python3-scikit-build-core to Build-Depends
  * copy LICENSE to python dir during python module build. Upstream's
    pyproject.toml uses a relative path ../LICENSE, but pybuild copies
    source and builds in tmp, missing the LICENSE file unless it is
    copied there. Use debian/patches/python_local_LICENSE.patch.
  * Update Maintainer: Debian Science Team

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 14 Apr 2024 13:03:01 +0000

dolfinx-mpc (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jan 2024 19:38:18 +0100

dolfinx-mpc (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * update debian/watch to current best-practice for github.
    Needed to catch "post" versions in downloaded upstream filename.

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Dec 2023 11:45:15 +0100

dolfinx-mpc (0.7.0.post1-1) unstable; urgency=medium

  * New upstream release patch.
    - applies debian patch include_algorithm.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Nov 2023 10:24:31 +0100

dolfinx-mpc (0.7.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI 0.7).
    - applies debian patch fix_mesh_py3.11.patch
  * debian patch include_algorithm.patch #includes <algorithm> to
    define std::find. See upstream Issue#80.

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Oct 2023 23:29:05 +0100
