=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: dolfinx-mpc
 Section: libs
 Priority: optional
-Maintainer: Drew Parsons <dparsons@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>,
+           Francesco Ballarin <francesco.ballarin@unicatt.it>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- libbasix-dev (>= 0.6.0~), python3-basix,
- libdolfinx-dev (>= 1:0.6.0~), python3-dolfinx,
+ libbasix-dev (>= 0.8.0~), python3-basix,
+ libdolfinx-dev (>= 1:0.8.0~), python3-dolfinx,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-dolfinx-real,
  python3-gmsh <!nocheck>,
  python3-mpi4py,
+ python3-nanobind (>= 2.0.0~),
  python3-numpy,
  python3-petsc4py,
+ python3-scikit-build-core,
  python3-scipy,
  python3-ufl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jorgensd/dolfinx_mpc
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/dolfinx-mpc
 Vcs-Git: https://salsa.debian.org/science-team/fenics/dolfinx-mpc.git
@@ -29,14 +33,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdolfinx-mpc0.6 (= ${binary:Version}),
+ libdolfinx-mpc0.8 (= ${binary:Version}),
  ${misc:Depends},
 Description: Multi-point constraints with FEniCS-X
  This library contains an add-on to FEniCSx enabling the possibilities
  of enforce multi-point constraints. This can be used to for instance
  enforce slip conditions strongly, or apply periodic boundaries..
 
-Package: libdolfinx-mpc0.6
+Package: libdolfinx-mpc0.8
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -49,7 +53,7 @@
 
 Package: python3-dolfinx-mpc
 Architecture: any
-Depends: libdolfinx-mpc0.6 (= ${binary:Version}),
+Depends: libdolfinx-mpc0.8 (= ${binary:Version}),
  python3-dolfinx-real,
  ${python3:Depends},
  ${shlibs:Depends},
