## dolfinx-mpc 0.9.0

=== debian/changelog ===
dolfinx-mpc (0.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 06 Nov 2024 08:11:25 +0000

dolfinx-mpc (0.9.0-1exp1) experimental; urgency=medium

  * New upstream release 0.9.0:
    - compatible with dolfinx 0.9.0
    - ABI 0.9
  * Refresh
    - cmake_config_libdir.patch
    - tests_no_numba.patch
    - cmake_no_runpath.patch
    - python_local_LICENSE.patch
    to ensure that they apply without fuzz.
  * Drop
    - b9657064a29bdff0638c7d2f952e85cfe41104df.diff
    because the patch was included in the upstream release.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 13:43:22 +0000
