=== debian/changelog ===
dolfinx-mpc (0.9.1-2) unstable; urgency=medium

  * debian patch free_MPI_communicator_PR171.patch applies upstream
    PR#171 (release 0.9.2) to free MPI communicators after use

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jul 2025 12:33:18 +0200

dolfinx-mpc (0.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 21:45:46 +0100
