=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- libbasix-dev (>= 0.8.0~), python3-basix,
- libdolfinx-dev (>= 1:0.8.0~), python3-dolfinx,
+ libbasix-dev (>= 0.9.0~), python3-basix,
+ libdolfinx-dev (>= 1:0.9.0~), python3-dolfinx,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
@@ -33,14 +33,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdolfinx-mpc0.8 (= ${binary:Version}),
+ libdolfinx-mpc0.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: Multi-point constraints with FEniCS-X
  This library contains an add-on to FEniCSx enabling the possibilities
  of enforce multi-point constraints. This can be used to for instance
  enforce slip conditions strongly, or apply periodic boundaries..
 
-Package: libdolfinx-mpc0.8
+Package: libdolfinx-mpc0.9
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -53,7 +53,7 @@
 
 Package: python3-dolfinx-mpc
 Architecture: any
-Depends: libdolfinx-mpc0.8 (= ${binary:Version}),
+Depends: libdolfinx-mpc0.9 (= ${binary:Version}),
  python3-dolfinx-real,
  ${python3:Depends},
  ${shlibs:Depends},
