=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
-Test-Command: python3 -m pytest
+Tests: run-tests
 Depends: python3-dolfinx-mpc,
  python3,
+ python3-all-dev,
  python3-pytest,
  python3-dolfinx,
  python3-gmsh,
