## dolfinx-mpc 0.9.3

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #------------------------------------------------------------------------------
 # Set project name and version number
-project(DOLFINX_MPC VERSION "0.9.0.0")
+project(DOLFINX_MPC VERSION "0.9.3.0")
 
 #------------------------------------------------------------------------------
 # General configuration
