=== python/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,7 @@
-cmake_minimum_required(VERSION 3.19)
+cmake_minimum_required(VERSION 3.21)
 
-PROJECT(dolfinx_mpc_pybind11)
+PROJECT(dolfinx_mpc_nanobind)
 
-# Set C++ standard
-set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_EXTENSIONS OFF)
 
 find_package(Python COMPONENTS Interpreter Development REQUIRED)
 
@@ -48,18 +44,14 @@
   dolfinx_mpc/dolfinx_mpc.cpp
   dolfinx_mpc/mpc.cpp
 )
-# Add strict compiler flags
-# include(CheckCXXCompilerFlag)
-# check_cxx_compiler_flag("-Wall -Werror -pedantic" HAVE_PEDANTIC)
 
-# if(HAVE_PEDANTIC)
-#   # target_compile_options(cpp PRIVATE -Wall;-Werror;-pedantic)
-# endif()
+target_compile_definitions(cpp PRIVATE cxx_std_20)
 target_link_libraries(cpp PRIVATE dolfinx_mpc)
 
 # Check for petsc4py
 execute_process(
-  COMMAND ${Python_EXECUTABLE} -c "import petsc4py; print(petsc4py.get_include())"
+  COMMAND ${Python_EXECUTABLE} -c
+          "import petsc4py; print(petsc4py.get_include())"
   OUTPUT_VARIABLE PETSC4PY_INCLUDE_DIR
   RESULT_VARIABLE PETSC4PY_COMMAND_RESULT
   ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE
@@ -68,8 +60,9 @@
 if(NOT PETSC4PY_COMMAND_RESULT)
   message(STATUS "Found petsc4py include directory at ${PETSC4PY_INCLUDE_DIR}")
   target_include_directories(cpp PRIVATE ${PETSC4PY_INCLUDE_DIR})
+  target_compile_definitions(cpp PRIVATE HAS_PETSC4PY)
 else()
-  message(FATAL_ERROR "petsc4py could not be found.")
+  message(FATAL_ERROR "petsc4py not found.")
 endif()
