=== debian/changelog ===
dolfinx-mpc (0.9.3-2) unstable; urgency=medium

  * debian patch python_depends_nanobind.patch adds nanobind to python
    dependencies (pyproject.toml) so dh_python3 catches the nanobind ABI.
    See nanobind transition Bug#1111004. Closes: #1096535.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Sep 2025 14:58:49 +0200

dolfinx-mpc (0.9.3-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch free_MPI_communicator_PR171.patch
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Aug 2025 12:05:50 +0200
