=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-scikit-build-core,
  python3-scipy,
  python3-ufl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jorgensd/dolfinx_mpc
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/dolfinx-mpc
 Vcs-Git: https://salsa.debian.org/science-team/fenics/dolfinx-mpc.git
