=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,20 @@
 PY3VERS := $(shell py3versions -v --default | tac -s' ')
 
 %:
-	dh $@ --with python3 --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 execute_before_dh_clean:
 	rm -rf .pybuild
 	rm -rf python/build
 	rm -rf python/dolfinx_mpc.egg-info
+	rm -rf python/LICENSE
 	rm -rf python/.pytest_cache
 
 override_dh_auto_configure:
 	dh_auto_configure --sourcedir=cpp
 
 execute_after_dh_auto_install:
+	cp LICENSE python
 	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
 	  CMAKE_PREFIX_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake \
 	  pybuild --dir=$(CURDIR)/python --name=dolfinx_mpc --disable test
