## dolfinx-mpc 0.10.0

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 #------------------------------------------------------------------------------
 # Set project name and version number
-project(DOLFINX_MPC VERSION "0.9.3.0")
+project(DOLFINX_MPC VERSION "0.10.0")
 
 #------------------------------------------------------------------------------
 # General configuration
@@ -23,7 +23,7 @@
 add_feature_info(CMAKE_INSTALL_RPATH_USE_LINK_PATH CMAKE_INSTALL_RPATH_USE_LINK_PATH "Add paths to linker search and installed rpath.")
 
 # Check for required package DOLFINX
-find_package(DOLFINX 0.9.0.0 REQUIRED)
+find_package(DOLFINX 0.10.0.0 REQUIRED)
 set_package_properties(DOLFINX PROPERTIES TYPE REQUIRED
     DESCRIPTION "New generation Dynamic Object-oriented Library for - FINite element computation"
     URL "https://github.com/FEniCS/dolfinx"
