=== debian/changelog ===
dolfinx-mpc (0.10.0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 0.10.
    - deprecates debian patch python_local_LICENSE.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Nov 2025 14:54:07 +0100
